Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AbleWorkingMemoryAssertMethod

    java.lang.Object
      com.ibm.able.data.AbleLiteral
          com.ibm.able.data.AbleCallLiteral
              com.ibm.able.data.AbleTypedVariableMethodLiteral
                  com.ibm.able.rules.AbleWorkingMemoryAssertMethod

All Implemented Interfaces:
  AbleRd, java.io.Serializable

public class AbleWorkingMemoryAssertMethod
extends AbleTypedVariableMethodLiteral

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.ibm.able.data.AbleTypedVariableMethodLiteral
`myTypedVariable, myUserDefinedFunction`

Fields inherited from class com.ibm.able.data.AbleCallLiteral
`myArgs, myArity, myCallee, myUdfMgr, myValue`

Constructor Summary
`AbleWorkingMemoryAssertMethod(AbleTypedVariableMethodLiteral theLiteral, AbleTypedVariable theReplacementVariable, java.util.Vector theArgs)`
`AbleWorkingMemoryAssertMethod(AbleTypedVariable theTypedVariable, java.lang.String theMethod, java.util.Vector theArgs)`

Method Summary
`AbleLiteral` | `getValue()` Retrieve the value of this data object as a literal.

Methods inherited from class com.ibm.able.data.AbleTypedVariableMethodLiteral
`arlCRdString, createMatchLiteral, equals, getArgClasses, getDataType, getReferents, getReturnType, getTemplateString, getTypedVariable, getVariableReferences, hashCode, performCall, traceString, trcString, xmlCRdString`

Methods inherited from class com.ibm.able.data.AbleCallLiteral
`cmpEq, cmpGt, cmpGtEq, cmpLt, cmpLtEq, cmpNeq, compDivide, compMinus, compMultiply, compPlus, compUnaryMinus, cvtArgs, getArgs, getArity, getBooleanValue, getCallee, getCalleeWithArgs, getCalleeWithArity, getDataTypeClass, getDataTypeClassName, getFuzzyValue, getGenericValue, getNumericValue, getRawValue, getStringValue, isConstant, logicalAND, logicalNOT, logicalOR`

Methods inherited from class com.ibm.able.data.AbleLiteral
`bitwiseAND, bitwiseNOT, bitwiseOR, bitwiseShiftLeft, bitwiseShiftRight, bitwiseShiftRightZeroFill, bitwiseXOR, cmpIs, compModulo, getDataTypeAsString, getReferent, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbleWorkingMemoryAssertMethod

    public AbleWorkingMemoryAssertMethod(AbleTypedVariable theTypedVariable,
                                         java.lang.String theMethod,
                                         java.util.Vector theArgs)
                                  throws AbleDataException

Parameters:
  `theTypedVariable` -
  `theMethod` -
  `theArgs` -
Throws:
  `AbleDataException`

### AbleWorkingMemoryAssertMethod

    public AbleWorkingMemoryAssertMethod(AbleTypedVariableMethodLiteral theLiteral,
                                         AbleTypedVariable theReplacementVariable,
                                         java.util.Vector theArgs)
                                  throws AbleDataException

Parameters:
  `theLiteral` -
  `theReplacementVariable` -
  `theArgs` -
Throws:
  `AbleDataException`

Method Detail

### getValue

    public AbleLiteral getValue()
                         throws AbleDataException

  Description copied from class: `AbleCallLiteral`
  Retrieve the value of this data object as a literal.

  The user-defined function is called, which must return either a Boolean, Number derivative, String, or Object object, which will be turned into an AbleLiteral and returned.

  It is OK for a user-defined function to return null. It will be turned into an AbleGenericLiteral whose value is null.

  If the user-defined function returns some other object than those listed above, an exception is thrown.

  Specified by:
    `getValue` in interface `AbleRd`
  Overrides:
    `getValue` in class `AbleCallLiteral`
  Returns:
    An AbleLiteral object.
  Throws:
    `AbleDataException` - If the value of this object cannot be represented as an Able data literal.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005